Subject: Re: bug#36089: 26.2; Emacs window creation with multiple frames

From: Stefan Kangas <[email-masked]>
Date: Tue, 25 Aug 2020 17:46:34 -0700

tags 36089 + notabug
close 36089
thanks

martin rudalics <[email-masked]> writes:

>> When I go to compile a program using M-x compile it shows the
>> *compilation* buffer in a new window in the active frame, which is
>> intuitive when there is only one frame open. However, in Emacs I often
>> have multiple frames open and visible (like with a multi monitor
>> setup). In this case Emacs still opens the *compilation* buffer in the
>> active frame even if the buffer is visible in another frame.
>
> Customize 'display-buffer-alist' as, for example,
>
> (customize-set-variable
>  'display-buffer-alist
>  '(("\\*compilation\\*"
>     nil (reusable-frames . visible))))
>
> For further options have a look at section
>
> 28.13.5 Precedence of Action Functions
>
> of the Elisp manual (and tell us if you think something is missing
> there).
>
> Thanks, martin

So this is all configurable, as explained above.  There has also been no
further update within 1 year, so I'm closing this bug report now.

If this conclusion is incorrect and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.

Best regards,
Stefan Kangas